Subject: [PATCH 1/2] gpio: davinci: Fix a check for unbanked gpio

From: [email-masked] (Sekhar Nori)
Date: Wed, 20 Nov 2013 19:43:23 +0530

On Monday 18 November 2013 04:18 PM, Linus Walleij wrote:
> On Tue, Nov 12, 2013 at 7:18 AM, Sekhar Nori <[email-masked]> wrote:
>> On Friday 08 November 2013 12:15 PM, Prabhakar Lad wrote:
>>> From: "Lad, Prabhakar" <[email-masked]>
>>>
>>> This patch fixes a check for offset in gpio_to_irq_unbanked()
>>> and also assigns gpio_irq, gpio_unbanked of chips[0] to
>>> appropriate values which is used in gpio_to_irq_unbanked()
>>> function.
>>>
>>> Reported-by: Grygorii Strashko <[email-masked]>
>>> Signed-off-by: Lad, Prabhakar <[email-masked]>
>>
>> You should note explicitly that this patch fixes broken unbanked IRQ
>> support. You mostly just described what you are doing.
>>
>> I will fixup while committing.
> 
> So you're carrying this patch Sekhar?

Yes, and I would have sent this for upstream already if not for I going
under the weather a bit past couple of days.

Thanks,
Sekhar